# Class FileReader

java.lang.Object
org.jmol.io.FileReader

public class FileReader extends Object

## Constructor Summary

Constructors
Constructor
Description
`FileReader(Viewer vwr, String fileName, String fullPathName, String nameAsGiven, String type, Object reader, Map<String,Object> htParams, boolean isAppend)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAtomSetCollection()`
`void`
`run()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileReader

public FileReader(Viewer vwr, String fileName, String fullPathName, String nameAsGiven, String type, Object reader, Map<String,Object> htParams, boolean isAppend)

Parameters:
  `vwr` -
  `fileName` - "t.xyz" may be null
  `fullPathName` - "c:\temp\t.xyz" may be null
  `nameAsGiven` - "c:/temp/t.xyz" may be null
  `type` - forced file type
  `reader` - optional Reader, BufferedReader, byte[], or BufferedInputStream
  `htParams` - information for file reader
  `isAppend` - append to current models or not

## Method Details

### run

public void run()

### getAtomSetCollection

public Object getAtomSetCollection()